GET
groups/{groupID}
Returns a group definition.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/tandem/v1/groups/{groupID} |
| Authentication Context | user context optional |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a two-legged access token obtained via a Client Credentials Grant flow, or a three-legged access token obtained via Authorization Code flow, Authorization Code flow with PKCE, or Secure Service Account flow (for headless scenarios). |
* Required
Request
URI Parameters
| groupID string | Group URN |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 403 Forbidden | The request was successfully validated but it did not have the required permissions. |
| 500 Internal Server Error | The service encountered an error that it was unable to handle. Wait for a few minutes and resend the request. If the error persists, contact us at aps.help@autodesk.com. |
Response
Body Structure (200)
Expand all
| accessLevel int | Level of access to the corresponding resource. |
| accountSettings object | |
| accountStatus int | Optional account Status
Possible values: 0, 1 |
| assetLimit int | Optional limit of assets (free tier = 1000, standard tier = 10000) |
| contractNumber string | Optional contract number = Pelican Agreement Id |
| createDate string | Optional create date |
| expiryDate string | Optional expiration date |
| externalFeatureId string | CLIC API FeatureId |
| orderNumber string | Optional order number |
| quantity int | Optional quantity |
| streamLimit int | Optional limit of streams (free tier = 200, standard tier = 2000) |
| subscriberContextId string | CLIC API ACE subscriber context ID for the account (mostly corresponds to an Oxygen ID of a purchasing user, but is not equal to it, so we need to store this as external key) |
| subscriptionId string | CLIC API External key that is 1:1 with the Tandem account (i.e. Pelican Subscription Id) |
| type string | Account type |
| isEmployeeOwned boolean | Using a pointer here is intentional, I want to crash if it’s not initialized properly |
| name string | Name of the account (group). |
| owner string | Internal ID of the owner. |
| thumbnailLastUpdate int | Timestamp of when the thumbnail was set |
| twinRegions object | |
| * string | |
| twins object | List of facility IDs and related level of access. |
| * int | Level of access to the corresponding resource. |
| urn string | Unique ID of the group. |
| usageEmailStatus object | |
| exceededEmailSentDate string | need to know the date they exceeded to enforce 30 days countdown until locked |
| warningEmailSentDate string | timestamp of when one-time email is sent for when user exceeds 75% usage |
| users array: object | List of group members. |
| accessLevel int | Level of access to the corresponding resource. |
| email string | User e-mail. |
| id string | ID of the user. |
| name string | User name. |
Example
This example demonstrates successfully getting the information about a specific group (aka “account”).
Request
curl -v 'https://developer.api.autodesk.com/tandem/v1/groups/urn:adsk.dtg:ysqziKwTSCejQaUVfqj66Q' \
-H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsIm....'
Response
{
"name": "Fred Flintstone's Account",
"urn": "urn:adsk.dtg:ysqziKwTSCejQaUVfqj66Q",
"owner": "7XPGNDGA663K",
"users": [
{
"id": "116966059407736",
"accessLevel": "Manage",
"name": "Barney Rubble",
"email": "barney@bedrock.com"
},
{
"id": "7XPGNDGA663K",
"accessLevel": "Owner",
"name": "Fred Flintstone",
"email": "fred@bedrock.com"
},
{
"id": "CQR29QCKNRTRZEVP",
"accessLevel": "Manage",
"name": "Betty Rubble",
"email": "betty@bedrock.com"
},
{
"id": "DK3VKZJ2CCLL",
"accessLevel": "ReadWrite",
"name": "Bam Bam",
"email": "bambam@bedrock.com"
},
{
"id": "RYB2DCBPNTTC8k^K",
"accessLevel": "Manage",
"name": "Pebbles",
"email": "pebbles@bedrock.com"
}
],
"twins": {
"urn:adsk.dtt:-8oDh9umTuiF5yH9nBuZvQ": "Owner",
"urn:adsk.dtt:AK5YgLWuQ1OHBhmm2FxD5Q": "Owner",
"urn:adsk.dtt:FECDWDfQTAeraxkA4AtpVA": "Owner",
"urn:adsk.dtt:Q2pMytqAQyCAEdZdS2W5aA": "Owner",
"urn:adsk.dtt:cTHzco8xRXqsP4sQlaIbbw": "Owner",
"urn:adsk.dtt:d5eZt_XtRzqUHT93-vNZxw": "Owner"
},
"accountSettings": {
"type": "free",
"assetLimit": 1000,
"streamLimit": 200,
"expiryDate": "2022-07-07T00:00:00Z",
"createDate": "2020-07-06T18:04:47Z"
}
}
Show More